getRotationMatrix {dimRed} | R Documentation

## getRotationMatrix

### Description

Extract the rotation matrix from `dimRedResult` objects derived from PCA and FastICA

### Usage

    getRotationMatrix(x)

### Arguments

`x` | of type `dimRedResult`

### Details

The data has to be pre-processed the same way as the method does, e.g. centering and/or scaling.

### Value

a matrix

### Examples

    dat <- loadDataSet("Iris")

    pca <- embed(dat, "PCA")
    ica <- embed(dat, "FastICA")

    rot_pca <- getRotationMatrix(pca)
    rot_ica <- getRotationMatrix(ica)

    scale(getData(dat), TRUE, FALSE) %*% rot_pca - getData(getDimRedData(pca))
    scale(getData(dat), TRUE, FALSE) %*% rot_ica - getData(getDimRedData(ica))

[Package dimRed version 0.2.2 Index]